Description

Following up #41880

Stefan Rinkes wrote in #note-13:
After trying it | don't think this is probably fixed.
| still see two issues:

1. Looks to me you can now only have one plugin which registers as an ActivityProvider. Icons only work for one loaded
plugin.

1. We have a class which inherites from Journal, which acts_as_activity_provider for issues. So [...] ends up as 'issues' and
not the wanted key.

Related issues:
Copied from Redmine - Defect #41880: Plugin activity icons broken after switc... Closed

History

#1 - 2025-04-03 22:56 - Marius BALTEANU
- Copied from Defect #41880: Plugin activity icons broken after switching to SVG icons added

#2 - 2025-04-03 22:58 - Marius BALTEANU

- Subject changed from Plugin activity icons broken after switching to SVG icons to Plugin activity icons broken when multiple plugins are loaded

#3 - 2025-04-06 22:36 - Marius BALTEANU

Stefan Rinkes, | was able to confirm the first issue and the fix is quite small, but for the second one , can you add the relevant code to your sample
plugin? | would like to be able to reproduce the issue before committing the fix.
activity_test.zip 6.59 KB 2024-12-02 Stefan Rinkes
clipboard-202412100153-xh5s0.png 102 KB 2024-12-09 Marius BALTEANU
0001-WIP.patch 2.63 KB 2024-12-09 Marius BALTEANU
